#!/bin/csh

# GNU C++, NAG F90, MPICH/P4

set MPICH_HOME  = $1

set MPICH_ARCH = `tarch`

configure -mpiinc=${MPICH_HOME}/include \
          -mpilib="-lmpi" \
          -f90=nag \
          -c++com="g++" \
          -c++lib=`gcc -print-libgcc-file-name` \
          -lnkcom="f90 -L${MPICH_HOME}/lib/${MPICH_ARCH}/ch_p4"

# Comments:
#
#      Tested under:
#           SunOS Release 4.1.3_U1
#           NAGWare f90 compiler Version 2.0a(264)
#           gcc version 2.7.0
#           MPICH 1.0.7
#
#           SunOS cs1 4.1.2
#           NAGWare f90 compiler Version 2.0a(264)
#           gcc version 2.6.3
#           MPICH 1.0.8
#
#           AIX 4.1.2
#           NAGWare f90 compiler Version 2.0a(276)
#           gcc version 2.5.8
#           MPICH 1.0.9
#
#      `$MPICH_HOME' is the home directory for the MPICH installation.

